明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 954|回复: 0

'how to get text object in model space ?

[复制链接]
发表于 2008-5-14 08:01:00 | 显示全部楼层 |阅读模式

    Function TextString(ByVal ThisDrawing As AcadDocument, ByVal acadapp As AcadApplication)
        Dim textObj As AcadText
        Dim text As String
        Dim insertionPoint(0 To 2) As Double
        Dim height As Double
        ' Define the text object
        text = "jjjjjjj"
        insertionPoint(0) = 0.0# : insertionPoint(1) = 0.0# : insertionPoint(2) = 0.0#
        height = 5000
              ' Create the text object in model space
        textObj = ThisDrawing.ModelSpace.AddText(text, insertionPoint, height)
        acadapp.ZoomAll()

        ' Return the current text string for the object
        text = textObj.TextString
        MsgBox("The TextString property equals: " & text, vbInformation, "TextString 示例")

    End Function

这段代码是创建text object 在model space厘面 ,那么如何取得呢?帮助里面说访问路径是

访问途径:

ModelSpace.Item

  能不能给个范例 具体是如何访问的?

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 09:46 , Processed in 0.163587 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表